#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 19 August 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

districts.N <- table(analysis$districts)
lost24.n2 <- getnp1line(var=ifelse(analysis$ltfu24mo==1,1,NA),by=analysis$districts,rowlabel="Lost in 24 months\\\\tnote{a}",indent=FALSE,inc.pval=FALSE)
udlost24.n2 <- getnp1line(var=ifelse(analysis$udltfu24mo==1,1,NA),by=analysis$districts,rowlabel="Lost in 24 months\\\\tnote{b}",indent=FALSE,inc.pval=FALSE)
death3.n2 <- getnp1line(var=ifelse(analysis$death3mo==1,1,NA),by=analysis$districts,rowlabel="Death in 3 months",indent=FALSE,inc.pval=FALSE)
death6.n2 <- getnp1line(var=ifelse(analysis$death6mo==1,1,NA),by=analysis$districts,rowlabel="Death in 6 months",indent=FALSE,inc.pval=FALSE)
death12.n2 <- getnp1line(var=ifelse(analysis$death12mo==1,1,NA),by=analysis$districts,rowlabel="Death in 12 months",indent=FALSE,inc.pval=FALSE)
death18.n2 <- getnp1line(var=ifelse(analysis$death18mo==1,1,NA),by=analysis$districts,rowlabel="Death in 18 months",indent=FALSE,inc.pval=FALSE)
death24.n2 <- getnp1line(var=ifelse(analysis$death24mo==1,1,NA),by=analysis$districts,rowlabel="Death in 24 months",indent=FALSE,inc.pval=FALSE)
table2  <- paste(lost24.n2,death3.n2,death6.n2,death12.n2,death18.n2,sep=" \\\\\\\\ ")
    

lost24.n2.r1 <- paste(strsplit(lost24.n2$line," & ")[[1]][1:6],collapse=" & ")
lost24.n2.r2 <- paste(c("Lost in 24 months\\\\tnote{a}",strsplit(lost24.n2$line," & ")[[1]][7:12]),collapse=" & ")
udlost24.n2.r1 <- paste(strsplit(udlost24.n2$line," & ")[[1]][1:6],collapse=" & ")
udlost24.n2.r2 <- paste(c("Lost in 24 months\\\\tnote{b}",strsplit(udlost24.n2$line," & ")[[1]][7:12]),collapse=" & ")
death3.n2.r1 <- paste(strsplit(death3.n2$line," & ")[[1]][1:6],collapse=" & ")
death3.n2.r2 <- paste(c("Death in 3 months",strsplit(death3.n2$line," & ")[[1]][7:12]),collapse=" & ")
death6.n2.r1 <- paste(strsplit(death6.n2$line," & ")[[1]][1:6],collapse=" & ")
death6.n2.r2 <- paste(c("Death in 6 months",strsplit(death6.n2$line," & ")[[1]][7:12]),collapse=" & ")
death12.n2.r1 <- paste(strsplit(death12.n2$line," & ")[[1]][1:6],collapse=" & ")
death12.n2.r2 <- paste(c("Death in 12 months",strsplit(death12.n2$line," & ")[[1]][7:12]),collapse=" & ")
death18.n2.r1 <- paste(strsplit(death18.n2$line," & ")[[1]][1:6],collapse=" & ")
death18.n2.r2 <- paste(c("Death in 18 months",strsplit(death18.n2$line," & ")[[1]][7:12]),collapse=" & ")
death24.n2.r1 <- paste(strsplit(death24.n2$line," & ")[[1]][1:6],collapse=" & ")
death24.n2.r2 <- paste(c("Death in 24 months",strsplit(death24.n2$line," & ")[[1]][7:12]),collapse=" & ")
table2.r1  <- paste(lost24.n2.r1,udlost24.n2.r1,death3.n2.r1,death6.n2.r1,death12.n2.r1,death18.n2.r1,death24.n2.r1,sep=" \\\\\\\\ ")
table2.r2  <- paste(lost24.n2.r2,udlost24.n2.r2,death3.n2.r2,death6.n2.r2,death12.n2.r2,death18.n2.r2,death24.n2.r2,sep=" \\\\\\\\ ")

